<script>
import Vue from 'vue';
import {
  CopyImage,
  FunFacts,
  GetInTouch,
  LetsParty,
  Quotes,
  TenHero,
  Timeline,
} from '../components/ten/index';
import { SlpEventNavigation } from '../components/ten/navigation/index';
import { FreeTrialCTA, FeaturedVideo } from '../components/common/index';
import { getPageMetadata } from '../common/meta';

export default Vue.extend({
  name: 'Ten',
  components: {
    CopyImage,
    FreeTrialCTA,
    GetInTouch,
    FunFacts,
    LetsParty,
    Quotes,
    SlpEventNavigation,
    TenHero,
    Timeline,
    FeaturedVideo,
  },
  nuxtI18n: false,
  layout: 'no-navigation',
  async asyncData(context) {
    const page = await context.$content('ten').fetch();
    return { page };
  },

  head() {
    return getPageMetadata(this.page, this.$route.path);
  },
});
</script>

<template>
  <div style="position: relative">
    <client-only>
      <SlpEventNavigation
        :brand-link="page.navigation_block.brand_link"
        :cta-link="page.navigation_block.cta_link"
        :cta-text="page.navigation_block.cta_text"
        :location="page.navigation_block.location"
        :date="page.navigation_block.date"
        :links="page.navigation_block.links"
        :sensitivity="0.5"
      />
    </client-only>
    <main>
      <TenHero :data="page.hero_image_block" />
      <featured-video
        id="thank-you"
        data-slippers-scroll="thank-you"
        :data="page.contribute_block.video"
      />
      <CopyImage
        id="contribute"
        data-slippers-scroll="contribute"
        :data="page.contribute_block.image_and_content"
      />
      <Quotes :data="page.contribute_block.quotes" />
      <LetsParty
        id="lets-party"
        data-slippers-scroll="lets-party"
        :data="page.lets_party_block"
      />
      <Timeline :data="page.timeline_block" />
      <FunFacts
        id="fun-facts"
        data-slippers-scroll="fun-facts"
        :data="page.ten_fun_facts_block"
      />
      <div id="join-in" data-slippers-scroll="join-in"></div>
      <CopyImage :data="page.join_us_block.copy_image_block_1" />
      <CopyImage
        :data="page.join_us_block.copy_image_block_2"
        :reverse="true"
      />
      <GetInTouch
        id="stay-in-touch"
        data-slippers-scroll="stay-in-touch"
        :data="page.get_in_touch_email_acquisition_block"
      />
      <FreeTrialCTA variant="image" />
    </main>
  </div>
</template>
